MENU PRINCIPAL
 Polyomino 2.1

Index

Introduction

Moves

Options

About the puzzles

What's new (version 2.1)

Registering

You can contact the author by e-mail at: JFranceschi@kagi.com

Polyomino Help, version 2.1

© 1998-99 Julien Franceschi

Ajaccio France


OPTIONS

The Options box is accessible in the menu with a right click over any empty place in the area game. It proposes the following options:

- French

To translate the game in French.

- English

The game will be in English.

- Sound effects

Check this option to play with sound, otherwise all the sounds in the program will be disabled.

- Pentaminoes bar

To show or hide the pentaminoes bar. Useful to have more space in puzzles with lots of pentaminoes.

- Animate the puzzle resolution

Check this option to have a fun animation when the puzzle is solved. Otherwise, a message will inform you that the puzzle has been solved.

- Grid color

Click on the color square to change the grid color.

- Name

Press this button to enter your name in the program.

- Print

Click on this button to print the current game.


Enregistrement
REGISTERING

Polyomino is proposed as shareware. This means that everyone is free to play with the available puzzles, to test it and to check if all works well before buying it.

In the unregistered version, only the 10 first puzzles (4-6 pieces) are playable so that the user can learn the game. To play with the other puzzles, you have to register.

There exists two kinds of licenses:

1. The Full Pack

It allows you to play entirely with all the 100 puzzles (4-6 pieces, 6-8 pieces, 9-11 pieces, 12 pieces, standard, triplications).

License: $19.

2. The Entry Pack

You will be able to play with the 50 first puzzles (4-6 pieces, 6-8 pieces, 9-11 pieces).

License: $9.

(Later, you will possibly upgrade to the full pack for $10).

How register?

Registrations of Polyomino are managed by the Kagi company specialized in shareware sellings. So, you have several ways to register:

1. You can register Online with a credit card on a secure web site at the following address:

http://order.kagi.com/?L9H

2. You can also register by mail, e-mail or fax using the accompanying program Register which deals with payments by check or credit card. This program asks the indications relative to your payment. To launch it, you can click on the Register by mail, e-mail or fax button of the Shareware version form or double click on the file Register.exe (you can find it in the folder where you have installed Polyomino).

In all the ways, once your payment is received, you will be sent a personal code (by e-mail if you have it else by mail to the address you have mentioned in your registration), and the instructions to use it and then unlock the whole puzzles for the full pack or the 50 first for the entry pack.

Why register?

Firstly, you will discover new puzzles which will keep you challenged for a while and secondly, you will contribute to the development of this game and reward all the time that the author has spent programming in order to improve the comfort and the enjoyment which each version for the biggest satisfaction of pentaminoes' lovers.


deplacements
MOVES

Here are the main steps of a puzzle resolution:

1. To place pentamino.

Just click on the button showing the pentamino you want to place in the pentaminoes bar, and it will place itself automatically in the top-left hand corner of the game area.

2. To move a pentamino.

- Point the mouse over the pentamino.

- Click on it with the left button and without releasing the button, drag the pentamino with the mouse where you want.

- Release the left button to put it down. It will place directly in the grid.

3. To rotate or reverse a pentamino.

Choose one of the followings:

- Right click on the pentamino to rotate in order to display the popup proposing all sorts of rotations.

-While you are moving a pentamino (see 2), right click and it will take all the possible positions.

4. To remove a pentamino.

If you want to remove an ill-placed pentamino, right click on it to display the popup and choose the Delete option.


Bienvenue
INTRODUCTION

Polyomino is a funny reflexion game in which the objective is to exactly fill the grid of the puzzles using the necessary pentaminoes.The interface has been studied in order to promote the user-friendliness and the quality of game.

-The game is bilingual: the two languages are French and English.

-Polyomino has 100 puzzles classified by categories and increasing difficulty, that can be visualized on the screen in the puzzles browser.

-Pentaminoes have been designed with great care. Indeed, they now have a 3 dimentional effect which is completely parametrable.

-Many options are available (sound, colors...) and there are informations on the game (placed pieces, rotations...).

-In the shareware version, you can play with the 10 first puzzles (the easiest), intended to the initiation of this game. To play with the others, you have to register (see Registering).

Configuration :

Polyomino works on most computers under Windows95, NT or more.

All screen resolutions (640x480, 800x600 or more) can be used but the larger the resolution, the shorter the dimensions of puzzles and pentaminoes, you should then use a standard screen resolution such as 640x480 or 800x600.


Puzzles
ABOUT THE PUZZLES

Polyomino includes 100 puzzles classified by category and increasing difficulty, that can be visualized on the screen.

The 50 first puzzles have been created by the author of this game and the 50 others are classical ones (such as 6x10, 5x12, 4x15...).

These ones have thousands of solutions, for exemple, the 6x10 puzzle has 2339 solutions, the 5x12 puzzle has 1010 solutions, the 4x15 puzzle has 368 solutions and the 3x20 puzzle only 2 solutions.

So, Polyomino has a very long useful life and you will need a lot of time and patience before solving all the puzzles.

A solution of the 6x10 puzzle.

Triplications are puzzles in the form of pentaminoes. Therefore, there exists some 12 which necessitate 8 pentaminoes in order to fill the grid.

A solution of triplication with the F pentamino.


Nouveautes
WHAT'S NEW (Version2.1)

Version 2.1 (4 July 1999)

- Pentaminoes are in relief and entirely parametrable (colors, width, direction).

- New options and informations (colors, name...).

- 70 new puzzles of different difficulty levels.

- New presentation of the puzzles.

- Fun animation when the puzzle is solved (optional).

- Loading screen and quick help.

- Two possibities to register.

- Several details, bugs and imperfections fixed.

Version 2.0 (10 April 1999)

- Pentaminoes are completely mobile, and the player can move the pentaminoes as desired (main novelty of this version).

- Standard menu replaced by a popup menu more esthetical.

- New options and informations on the game (rotations, remaining pieces...).

- Puzzles visualizable on the sceen.

- Interface and pentaminoes wholly relooked.